import * as logger from 'logger';
export { logger };
import * as rslConstants from './smrtfill.constants.js';
import exceptionalError from 'exceptionalhandler';
export { exceptionalError };
export declare function getShipment(selectionFilters: rslConstants.shipmentLookupFilters): Promise<rslConstants.niceShipment | null>;
export declare function createShipment(orderNumber: string, orderItems: rslConstants.niceNewOrderSkuMapping, customerDetails: rslConstants.niceRecipientDetails, niceShipMethod: typeof rslConstants.standardShippingMethods[number] | null, orderComments?: string): Promise<string>;
