var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
import chai from 'chai';
import chaiAsPromised from "chai-as-promised";
const expect = chai.expect;
chai.use(chaiAsPromised);
import * as smrt from '../smrtfill.js';
import util from 'util';
console.log(`============ LIVE TEST ==============`);
console.log(`============ LIVE TEST ==============`);
console.log(`============ LIVE TEST ==============`);
console.log(`============ LIVE TEST ==============`);
describe('Tests order creation', () => __awaiter(void 0, void 0, void 0, function* () {
    after(() => __awaiter(void 0, void 0, void 0, function* () {
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`);
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`);
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`);
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`);
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`);
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`);
        console.log(`============ DELETE THE ORDER YOU JUST CREATED ==============`);
    }));
    context('Creates an order', () => __awaiter(void 0, void 0, void 0, function* () {
        it('Validates', function () {
            return __awaiter(this, void 0, void 0, function* () {
                this.timeout(6000);
                const testOrderNumber = `CNTest-${Number(new Date())}`;
                const testOrder = {
                    orderNumber: testOrderNumber,
                    person: {
                        name: "Chris Nevin",
                        addressOne: "2709 N Hayden Island Dr",
                        addressTwo: "STE 523229",
                        email: "cnevin@yert.ca",
                        phone: "709-749-1029",
                        city: "Portland",
                        state: "OR",
                        country: "US",
                        zip: "12345"
                    },
                    order: { "Socket": { qty: 1 } }
                };
                let newOrderId = yield smrt.createShipment(testOrder.orderNumber, testOrder.order, testOrder.person, "Standard", "");
                let orderCheck = yield smrt.getShipment({ orderNumber: testOrderNumber });
                console.log(util.inspect(orderCheck));
                expect(orderCheck.orderNumber).to.equal(testOrderNumber);
                expect(orderCheck === null || orderCheck === void 0 ? void 0 : orderCheck.rslReference).to.equal(newOrderId);
                expect(orderCheck === null || orderCheck === void 0 ? void 0 : orderCheck.receiver).to.deep.equal({
                    name: 'Chris Nevin',
                    phone: '709-749-1029',
                    email: 'cnevin@yert.ca',
                    addressOne: '2709 N Hayden Island Dr',
                    addressTwo: 'STE 523229',
                    addressThree: null,
                    company: null,
                    city: 'Portland',
                    state: 'OR',
                    country: 'US',
                    zip: '12345'
                });
                expect(orderCheck === null || orderCheck === void 0 ? void 0 : orderCheck.reqItems).to.deep.equal([{ sku: 'Socket', qty: 1, description: 'BlueDriver 10mm Socket' }]);
                expect(orderCheck === null || orderCheck === void 0 ? void 0 : orderCheck.status).to.equal("Accepted");
            });
        });
    }));
}));
