export function checkAuthReq(url, opts, responseId) {
    let body = JSON.parse(opts.body);
    let returnBody = null;
    let returnStatus = null;
    if (responseId === 0 || body["clientId"] !== "someId" || body["apiUserIdentifier"] !== "someAPIid" || body["apiUserSecret"] !== "somePW") {
        returnBody = badTokenResp.body;
        returnStatus = badTokenResp.status;
    }
    else if (responseId === 1) {
        returnBody = goodTokenResp.body;
        returnStatus = goodTokenResp.status;
    }
    else {
        returnBody = goodTokenResp.body;
        returnBody.data.token = tokenTwo;
        returnStatus = goodTokenResp.status;
    }
    return {
        status: returnStatus,
        body: returnBody
    };
}
export function checkToken(headers, expectedToken, expectedId) {
    if (!headers.Authorization || !headers.ClientID) {
        return false;
    }
    if (headers.Authorization !== `Bearer ${expectedToken}` || headers.ClientID !== expectedId) {
        return false;
    }
    return true;
}
export const tokenOne = "someGoodToken!";
export const tokenTwo = "someOtherToken??";
let goodTokenResp = {
    "status": 200,
    "body": {
        "data": {
            "token": tokenOne
        },
        "status": {
            "statusMessage": "Success",
            "statusCodes": [
                {
                    "statusCode": 9000,
                    "statusMessage": "Success"
                }
            ]
        }
    }
};
const badTokenResp = {
    "status": 400,
    "body": {
        "data": [],
        "status": {
            "statusMessage": "Error",
            "statusCodes": [
                {
                    "statusCode": 9066,
                    "statusMessage": "API credential does not exist."
                }
            ]
        }
    }
};
